OpenNMS API 1.2.9

## org.opennms.netmgt.filter.node
Class Start

    java.lang.Object
      org.opennms.netmgt.filter.node.Node
          org.opennms.netmgt.filter.node.Start

All Implemented Interfaces:
  java.lang.Cloneable, Switchable

public final class Start
extends Node

Field Summary
`private EOF` `_eof_`
`private PRule` `_pRule_`

Fields inherited from class org.opennms.netmgt.filter.node.Node
``

Constructor Summary
`Start()`
`Start(PRule _pRule_, EOF _eof_)`

Method Summary
`void` `apply(Switch sw)`
`java.lang.Object` `clone()`
`EOF` `getEOF()`
`PRule` `getPRule()`
`(package private) void` `removeChild(Node child)`
`(package private) void` `replaceChild(Node oldChild, Node newChild)`
`void` `setEOF(EOF node)`
`void` `setPRule(PRule node)`
`java.lang.String` `toString()`

Methods inherited from class org.opennms.netmgt.filter.node.Node
`cloneList, cloneNode, parent, parent, replaceBy, toString, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _pRule_

    private PRule _pRule_

### _eof_

    private EOF _eof_

Constructor Detail

### Start

    public Start()

### Start

    public Start(PRule _pRule_,
                 EOF _eof_)

Method Detail

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in class `Node`

### apply

    public void apply(Switch sw)

### getPRule

    public PRule getPRule()

### setPRule

    public void setPRule(PRule node)

### getEOF

    public EOF getEOF()

### setEOF

    public void setEOF(EOF node)

### removeChild

    void removeChild(Node child)

  Specified by:
    `removeChild` in class `Node`

### replaceChild

    void replaceChild(Node oldChild,
                      Node newChild)

  Specified by:
    `replaceChild` in class `Node`

### toString

    public java.lang.String toString()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.